Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# Asc2Map.cpp File Reference

`#include "stdafx.h"`
`#include "Asc2Map.h"`
`#include "Asc2MapDlg.h"`

Go to the source code of this file.

## Functions
| BEGIN_MESSAGE_MAP (CAsc2MapApp, CWinApp) ON_COMMAND(ID_HELP
CWinApp::OnHelp | END_MESSAGE_MAP () CAsc2MapApp
## Variables
CAsc2MapApp | theApp

## Function Documentation

BEGIN_MESSAGE_MAP | ( | CAsc2MapApp | ,
|  | CWinApp |
| ) |

| Definition at line 58 of file SDKConsolDlg.cpp. References FALSE, and TRUE.
    00070 {
    00071         CDialog::OnInitDialog();
    00072
    00073         // Ajouter l'élément de menu "À propos de..." au menu Système.
    00074
    00075         // IDM_ABOUTBOX doit se trouver dans la plage des commandes système.
    00076         ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
    00077         ASSERT(IDM_ABOUTBOX < 0xF000);
    00078
    00079         CMenu* pSysMenu = GetSystemMenu(FALSE);
    00080         if (pSysMenu != NULL)
    00081         {
    00082                 CString strAboutMenu;
    00083                 strAboutMenu.LoadString(IDS_ABOUTBOX);
    00084                 if (!strAboutMenu.IsEmpty())
    00085                 {
    00086                         pSysMenu->AppendMenu(MF_SEPARATOR);
    00087                         pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
    00088                 }
    00089         }
    00090
    00091         // Définir l'icône de cette boîte de dialogue. L'infrastructure effectue cela automatiquement
    00092         //  lorsque la fenêtre principale de l'application n'est pas une boîte de dialogue
    00093         SetIcon(m_hIcon, TRUE);                 // Définir une grande icône
    00094         SetIcon(m_hIcon, FALSE);                // Définir une petite icône
    00095
    00096         // TODO : ajoutez ici une initialisation supplémentaire
    00097
    00098         return TRUE;  // retourner TRUE, sauf si vous avez défini le focus sur un contrôle

CWinApp::OnHelp END_MESSAGE_MAP | ( |  | ) |

| Definition at line 16 of file Asc2Map.cpp.
    00023 {
    00024         // TODO : ajoutez ici le code de la construction.
    00025         // Placez toutes les initialisations dans InitInstance

## Variable Documentation

CAsc2MapApp theApp

| Definition at line 30 of file Asc2Map.cpp.